Subject: [bmwg] RFC 8239 buffering testing results

From: Yoshiaki Itou <[email-masked]>
Date: Tue, 3 Jul 2018 06:06:23 +0000

Hello BMWG,

I have measured buffer size of a DUT using RFC 8239 buffering testing. (Please see the attached)
It seems packet-by-packet latency measurement method is a more precise.
However, the increase in latency due to multiple physical ports may not be linearly proportional therefore further improvement is necessary I think.
Could you have any comment for this results?

I am going to measure buffer size of some switches.
Then I would like to have the comparison between draft-morton-bmwg-b2b-frame-02 and RFC 8239.

Best Regards,
Yoshiaki Itou/TOYO Corporation

---

From: Jacob Rapp <[email-masked]>
Date: Tue, 17 Jul 2018 16:10:58 +0000

Thanks for reaching out.
Over the years of using these tests myself, I find many different switch architectures may measure differently, but this is expected. The tests themselves were designed to test the actual buffer available for use under various combination of oversubscribing ports, which your test results are reporting. For example, some switches have dedicated buffer for every 4 ports, so if you are testing across the boundaries of these various buffer chips, you may see some “interesting results”. Another example would be when a switch goes from cut-through to store-and-forward operation after a given frame size (we cover this in a different section). Another example would be a switch architecture that uses ingress buffering vs. egress buffering. “Interesting results” are also valid results and the goal of these tests were to flush out the “interesting results” so when evaluating different DUTs you have the complete story vs. what a data sheet will claim on buffer size.

As for the draft-morton-bmwg-b2b-frame-02, it has a different goal and specifically calls out : “Section 3 of [RFC8239] describes buffer size testing for physical
   networking devices in a Data Center.  The [RFC8239] methods measure
   buffer latency directly with traffic on multiple ingress ports that
   overload an egress port on the Device Under Test (DUT), and are not
   subject to the revised calculations presented in this memo.”

Thanks,

--
Jacob

From: bmwg <[email-masked]> on behalf of Yoshiaki Itou <[email-masked]>
Date: Tuesday, July 3, 2018 at 2:06 AM
To: "[email-masked]" <[email-masked]>
Subject: [bmwg] RFC 8239 buffering testing results

Hello BMWG,

Best Regards,

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Tue, 17 Jul 2018 17:19:35 +0000

Thanks for replying on this thread Jacob.

Incidentally, I added the Section 3 Scope paragraph
delineating the RFC 8239 methods out-of-scope
*after* Yoshiaki and I exchanged several messages.

Al

From: bmwg [mailto:[email-masked]] On Behalf Of Jacob Rapp
Sent: Tuesday, July 17, 2018 12:11 PM
To: Yoshiaki Itou <[email-masked]>; [email-masked]
Subject: Re: [bmwg] RFC 8239 buffering testing results

Thanks for reaching out.

Thanks,

--
Jacob

From: bmwg <[email-masked]<mailto:[email-masked]>> on behalf of Yoshiaki Itou <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, July 3, 2018 at 2:06 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bmwg] RFC 8239 buffering testing results

Hello BMWG,

Best Regards,

---

From: Yoshiaki Itou <[email-masked]>
Date: Tue, 24 Jul 2018 11:52:48 +0000

Hello Morton-san, Jacob-san and all,

Thank you for your detail explanation.

In order to more accurately measure the number of frames buffered in the DUT, I tried a method(PAUSE) in which the frame does not flow to the Rx side during frame transmission.
Could you have any comment for this results?

Best Regards,
Yoshiaki Itou

From: MORTON, ALFRED C (AL) <[email-masked]>
Sent: Wednesday, July 18, 2018 2:20 AM
To: Jacob Rapp <[email-masked]>; Yoshiaki Itou <[email-masked]>; [email-masked]
Subject: RE: [bmwg] RFC 8239 buffering testing results

Al

From: bmwg [mailto:[email-masked]] On Behalf Of Jacob Rapp
Sent: Tuesday, July 17, 2018 12:11 PM
To: Yoshiaki Itou <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [bmwg] RFC 8239 buffering testing results

Thanks for reaching out.

Thanks,

--
Jacob

Hello BMWG,

Best Regards,